Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSIDCDefinition

All Superinterfaces:
  XSObject

All Known Implementing Classes:
  IdentityConstraint

Deprecated. The interface may be updated or replaced.

public interface XSIDCDefinition
extends XSObject

This interface represents the Identity-constraint Definition schema component.

Field Summary
`static short` | `IC_KEY` Deprecated.
`static short` | `IC_KEYREF` Deprecated.
`static short` | `IC_UNIQUE` Deprecated.

Method Summary
`XSObjectList` | `getAnnotations()` Deprecated. A set of [annotations].
`short` | `getCategory()` Deprecated. [identity-constraint category]: one of key, keyref or unique.
`StringList` | `getFieldStrs()` Deprecated. [fields]: a non-empty list of restricted XPath ([XPath]) expressions.
`XSIDCDefinition` | `getRefKey()` Deprecated. [referenced key]: required if [identity-constraint category] is keyref, forbidden otherwise.
`java.lang.String` | `getSelectorStr()` Deprecated. [selector]: a restricted expression.

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Field Detail

### IC_KEY

    public static final short IC_KEY

  Deprecated.

### IC_KEYREF

    public static final short IC_KEYREF

  Deprecated.

### IC_UNIQUE

    public static final short IC_UNIQUE

  Deprecated.

Method Detail

### getCategory

    public short getCategory()

  Deprecated.
  [identity-constraint category]: one of key, keyref or unique.

### getSelectorStr

    public java.lang.String getSelectorStr()

  Deprecated.
  [selector]: a restricted expression.

### getFieldStrs

    public StringList getFieldStrs()

  Deprecated.
  [fields]: a non-empty list of restricted XPath ([XPath]) expressions.

### getRefKey

    public XSIDCDefinition getRefKey()

  Deprecated.
  [referenced key]: required if [identity-constraint category] is keyref, forbidden otherwise. An identity-constraint definition with [ identity-constraint category] equal to key or unique.

### getAnnotations

    public XSObjectList getAnnotations()

  Deprecated.
  A set of [annotations].

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.